Re: [PATCH] qemuarmv5: use arm-versatile-926ejs KMACHINE


Jon Mason
 

I think this needs to get pulled back to kirkstone, as I'm now seeing
ERROR: linux-yocto-5.15.36+gitAUTOINC+fcf48627ea_ebfb1822e9-r0
do_kernel_metadata: Could not locate BSP definition for
qemuarm/standard and no defconfig was provided

On Wed, May 4, 2022 at 10:24 AM Bruce Ashfield <bruce.ashfield@...> wrote:

On Wed, May 4, 2022 at 10:09 AM Jon Mason <jdmason@...> wrote:

Use the Arm Versatile 926 kernel configs to get this machine working
again.
Acked-by: Bruce Ashfield <bruce.ashfield@...>

Signed-off-by: Jon Mason <jdmason@...>
---
meta/conf/machine/qemuarmv5.conf | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/meta/conf/machine/qemuarmv5.conf b/meta/conf/machine/qemuarmv5.conf
index 2dad504c9932..abdae5f36182 100644
--- a/meta/conf/machine/qemuarmv5.conf
+++ b/meta/conf/machine/qemuarmv5.conf
@@ -15,7 +15,7 @@ QB_MACHINE = "-machine versatilepb"
QB_KERNEL_CMDLINE_APPEND = "vmalloc=256"
QB_GRAPHICS = "-device virtio-gpu-pci"
QB_OPT_APPEND = "-device qemu-xhci -device usb-tablet -device usb-kbd"
-PREFERRED_VERSION_linux-yocto ??= "5.15%"
QB_DTB = "${@oe.utils.version_less_or_equal('PREFERRED_VERSION_linux-yocto', '4.7', '', 'zImage-versatile-pb.dtb', d)}"

-KMACHINE:qemuarmv5 = "qemuarm"
+PREFERRED_VERSION_linux-yocto ??= "5.15%"
+KMACHINE:qemuarmv5 = "arm-versatile-926ejs"
--
2.30.2

--
- Thou shalt not follow the NULL pointer, for chaos and madness await
thee at its end
- "Use the force Harry" - Gandalf, Star Trek II

Join openembedded-core@lists.openembedded.org to automatically receive all group messages.